# TdApi.ChatActionBar (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: ChatActionBar

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatActionBar

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatActionBar

Direct Known Subclasses:
  `TdApi.ChatActionBarAddContact`, `TdApi.ChatActionBarInviteMembers`, `TdApi.ChatActionBarJoinRequest`, `TdApi.ChatActionBarReportAddBlock`, `TdApi.ChatActionBarReportSpam`, `TdApi.ChatActionBarReportUnrelatedLocation`, `TdApi.ChatActionBarSharePhoneNumber`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.ChatActionBar extends TdApi.Object permits TdApi.ChatActionBarReportSpam, TdApi.ChatActionBarReportUnrelatedLocation, TdApi.ChatActionBarInviteMembers, TdApi.ChatActionBarReportAddBlock, TdApi.ChatActionBarAddContact, TdApi.ChatActionBarSharePhoneNumber, TdApi.ChatActionBarJoinRequest
This class is an abstract base class.

## Constructor Summary

Constructors
Constructor
Description
`ChatActionBar()`

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ChatActionBar

public ChatActionBar()